<template>
  <b-container class="mt-5" v-if="film">
    <film-details :data="film"></film-details>
  </b-container>
  <b-container class="mt-5" v-else>
    <div class="row mt-5">
      <h4>Could not find information about this film.</h4>
    </div>

    <div class="row mt-5">
      <b-button to="/" variant="primary">See more films</b-button>
    </div>
  </b-container>
</template>

<script>
import { mapGetters } from "vuex";
import FilmDetails from "@/components/FilmDetails";

export default {
  components: {
    FilmDetails,
  },
  data() {
    return {
      film: {},
    }
  },
  computed: {
    ...mapGetters(["findFilmById"])
  },
  methods: {
    fetchDetail() {
      this.film = this.findFilmById(this.$route.params.id)
      console.log("check out", this.film)
    },
  },
  created() {
    this.fetchDetail()
  }
}
</script>

<style>

</style>